#ifndef CAPABILITIESELEMENTWIDGET_H
#define CAPABILITIESELEMENTWIDGET_H

#include "gmc-miscellaneousse_global.h"

#include <elementwidget.h>

namespace Ui
{
class CapabilitiesElementWidget;
}

class GMCMISCELLANEOUSSESHARED_EXPORT CapabilitiesElementWidget : public ViewEditElementWidget
{

    Q_OBJECT

public:

    CapabilitiesElementWidget( Module & /*module*/
                , bool ( * /*isEditable*/ )( const Module & ), QWidget * /*parent*/ = 0);
    virtual ~CapabilitiesElementWidget();

    virtual void afterSuccessfulRead( Element * /*testElement*/, ElementData * /*elementData*/ );
    virtual ElementData *exportElementData() const;

    virtual QString caption() const;

protected:

    void loadSettings();
    void saveSettings() const;

    virtual void reset();
    virtual void blockEditWidget( bool /*blocked*/ );

protected:

    Ui::CapabilitiesElementWidget *_ui;

};

#endif // CAPABILITIESELEMENTWIDGET_H
